# This file was automatically created by FeynRules 1.7.69
# Mathematica version: 8.0 for Mac OS X x86 (64-bit) (November 6, 2010)
# Date: Mon 1 Oct 2012 09:27:04


from object_library import all_decays, Decay
import particles as P


Decay_H = Decay(name = 'Decay_H',
                particle = P.H,
                partial_widths = {(P.W__minus__,P.W__plus__):'(((3*ee**4*vev**2)/(4.*sw**4) + (ee**4*MH**4*vev**2)/(16.*MW**4*sw**4) - (ee**4*MH**2*vev**2)/(4.*MW**2*sw**4))*cmath.sqrt(MH**4 - 4*MH**2*MW**2))/(16.*cmath.pi*abs(MH)**3)',
                                  (P.Z,P.Z):'(((9*ee**4*vev**2)/2. + (3*ee**4*MH**4*vev**2)/(8.*MZ**4) - (3*ee**4*MH**2*vev**2)/(2.*MZ**2) + (3*cw**4*ee**4*vev**2)/(4.*sw**4) + (cw**4*ee**4*MH**4*vev**2)/(16.*MZ**4*sw**4) - (cw**4*ee**4*MH**2*vev**2)/(4.*MZ**2*sw**4) + (3*cw**2*ee**4*vev**2)/sw**2 + (cw**2*ee**4*MH**4*vev**2)/(4.*MZ**4*sw**2) - (cw**2*ee**4*MH**2*vev**2)/(MZ**2*sw**2) + (3*ee**4*sw**2*vev**2)/cw**2 + (ee**4*MH**4*sw**2*vev**2)/(4.*cw**2*MZ**4) - (ee**4*MH**2*sw**2*vev**2)/(cw**2*MZ**2) + (3*ee**4*sw**4*vev**2)/(4.*cw**4) + (ee**4*MH**4*sw**4*vev**2)/(16.*cw**4*MZ**4) - (ee**4*MH**2*sw**4*vev**2)/(4.*cw**4*MZ**2))*cmath.sqrt(MH**4 - 4*MH**2*MZ**2))/(32.*cmath.pi*abs(MH)**3)',
                                  (P.b,P.b__tilde__):'((-12*MB**2*yb**2 + 3*MH**2*yb**2)*cmath.sqrt(-4*MB**2*MH**2 + MH**4))/(16.*cmath.pi*abs(MH)**3)',
                                  (P.ta__minus__,P.ta__plus__):'((MH**2*ytau**2 - 4*MTA**2*ytau**2)*cmath.sqrt(MH**4 - 4*MH**2*MTA**2))/(16.*cmath.pi*abs(MH)**3)',
                                  (P.t,P.t__tilde__):'((3*MH**2*yt**2 - 12*MT**2*yt**2)*cmath.sqrt(MH**4 - 4*MH**2*MT**2))/(16.*cmath.pi*abs(MH)**3)'})

Decay_Z = Decay(name = 'Decay_Z',
                particle = P.Z,
                partial_widths = {(P.W__minus__,P.W__plus__):'(((-12*cw**2*ee**2*MW**2)/sw**2 - (17*cw**2*ee**2*MZ**2)/sw**2 + (4*cw**2*ee**2*MZ**4)/(MW**2*sw**2) + (cw**2*ee**2*MZ**6)/(4.*MW**4*sw**2))*cmath.sqrt(-4*MW**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.ev,P.ev__tilde__):'(((8*ee**2*Mev**2*sw**2)/cw**2 + (4*ee**2*MZ**2*sw**2)/cw**2)*cmath.sqrt(-4*Mev**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.uv,P.uv__tilde__):'(((32*ee**2*Muv**2*sw**2)/(3.*cw**2) + (16*ee**2*MZ**2*sw**2)/(3.*cw**2))*cmath.sqrt(-4*Muv**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.d,P.d__tilde__):'(MZ**2*(ee**2*MZ**2 + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.s,P.s__tilde__):'(MZ**2*(ee**2*MZ**2 + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.b,P.b__tilde__):'((-7*ee**2*MB**2 + ee**2*MZ**2 - (3*cw**2*ee**2*MB**2)/(2.*sw**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) - (17*ee**2*MB**2*sw**2)/(6.*cw**2) + (5*ee**2*MZ**2*sw**2)/(6.*cw**2))*cmath.sqrt(-4*MB**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.e__minus__,P.e__plus__):'(MZ**2*(-(ee**2*MZ**2) + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.mu__minus__,P.mu__plus__):'(MZ**2*(-(ee**2*MZ**2) + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.ta__minus__,P.ta__plus__):'((-5*ee**2*MTA**2 - ee**2*MZ**2 - (cw**2*ee**2*MTA**2)/(2.*sw**2) + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (7*ee**2*MTA**2*sw**2)/(2.*cw**2) + (5*ee**2*MZ**2*sw**2)/(2.*cw**2))*cmath.sqrt(-4*MTA**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.u,P.u__tilde__):'(MZ**2*(-(ee**2*MZ**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (17*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.c,P.c__tilde__):'(MZ**2*(-(ee**2*MZ**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (17*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.t,P.t__tilde__):'((-11*ee**2*MT**2 - ee**2*MZ**2 - (3*cw**2*ee**2*MT**2)/(2.*sw**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (7*ee**2*MT**2*sw**2)/(6.*cw**2) + (17*ee**2*MZ**2*sw**2)/(6.*cw**2))*cmath.sqrt(-4*MT**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.ve,P.ve__tilde__):'(MZ**2*(ee**2*MZ**2 + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.vm,P.vm__tilde__):'(MZ**2*(ee**2*MZ**2 + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.vt,P.vt__tilde__):'(MZ**2*(ee**2*MZ**2 + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)'})

Decay_t = Decay(name = 'Decay_t',
                particle = P.t,
                partial_widths = {(P.W__plus__,P.b):'(((3*ee**2*MB**2)/(2.*sw**2) + (3*ee**2*MT**2)/(2.*sw**2) + (3*ee**2*MB**4)/(2.*MW**2*sw**2) - (3*ee**2*MB**2*MT**2)/(MW**2*sw**2) + (3*ee**2*MT**4)/(2.*MW**2*sw**2) - (3*ee**2*MW**2)/sw**2)*cmath.sqrt(MB**4 - 2*MB**2*MT**2 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4))/(96.*cmath.pi*abs(MT)**3)',
                                  (P.p1,P.uv):'(cmath.sqrt(MPe1**4 - 2*MPe1**2*MT**2 + MT**4 - 2*MPe1**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(-3*lam23**2*MPe1**2*cmath.cos(th)**2 + 3*lam23**2*MT**2*cmath.cos(th)**2 + 3*lam23**2*Muv**2*cmath.cos(th)**2 + 6*lam13*lam23*MPe1**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam13**2*MPe1**2*cmath.sin(th)**2 + 3*lam13**2*MT**2*cmath.sin(th)**2 + 3*lam13**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(MT)**3)',
                                  (P.p2,P.uv):'(cmath.sqrt(MPe2**4 - 2*MPe2**2*MT**2 + MT**4 - 2*MPe2**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(-3*lam13**2*MPe2**2*cmath.cos(th)**2 + 3*lam13**2*MT**2*cmath.cos(th)**2 + 3*lam13**2*Muv**2*cmath.cos(th)**2 - 6*lam13*lam23*MPe2**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam23**2*MPe2**2*cmath.sin(th)**2 + 3*lam23**2*MT**2*cmath.sin(th)**2 + 3*lam23**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(MT)**3)'})

Decay_p1 = Decay(name = 'Decay_p1',
                 particle = P.p1,
                 partial_widths = {(P.ev,P.e__plus__):'((-Mev**2 + MPe1**2)*(-(lam2p1**2*Mev**2*cmath.cos(th)**2) + lam2p1**2*MPe1**2*cmath.cos(th)**2 + 2*lam1p1*lam2p1*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p1*lam2p1*MPe1**2*cmath.cos(th)*cmath.sin(th) - lam1p1**2*Mev**2*cmath.sin(th)**2 + lam1p1**2*MPe1**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.ev,P.mu__plus__):'((-Mev**2 + MPe1**2)*(-(lam2p2**2*Mev**2*cmath.cos(th)**2) + lam2p2**2*MPe1**2*cmath.cos(th)**2 + 2*lam1p2*lam2p2*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p2*lam2p2*MPe1**2*cmath.cos(th)*cmath.sin(th) - lam1p2**2*Mev**2*cmath.sin(th)**2 + lam1p2**2*MPe1**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.ev,P.ta__plus__):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe1**2 + MPe1**4 - 2*Mev**2*MTA**2 - 2*MPe1**2*MTA**2 + MTA**4)*(-(lam2p3**2*Mev**2*cmath.cos(th)**2) + lam2p3**2*MPe1**2*cmath.cos(th)**2 - lam2p3**2*MTA**2*cmath.cos(th)**2 + 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MPe1**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) - lam1p3**2*Mev**2*cmath.sin(th)**2 + lam1p3**2*MPe1**2*cmath.sin(th)**2 - lam1p3**2*MTA**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.e__minus__,P.ev__tilde__):'((-Mev**2 + MPe1**2)*(-(lam2p1**2*Mev**2*cmath.cos(th)**2) + lam2p1**2*MPe1**2*cmath.cos(th)**2 + 2*lam1p1*lam2p1*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p1*lam2p1*MPe1**2*cmath.cos(th)*cmath.sin(th) - lam1p1**2*Mev**2*cmath.sin(th)**2 + lam1p1**2*MPe1**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.mu__minus__,P.ev__tilde__):'((-Mev**2 + MPe1**2)*(-(lam2p2**2*Mev**2*cmath.cos(th)**2) + lam2p2**2*MPe1**2*cmath.cos(th)**2 + 2*lam1p2*lam2p2*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p2*lam2p2*MPe1**2*cmath.cos(th)*cmath.sin(th) - lam1p2**2*Mev**2*cmath.sin(th)**2 + lam1p2**2*MPe1**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.ta__minus__,P.ev__tilde__):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe1**2 + MPe1**4 - 2*Mev**2*MTA**2 - 2*MPe1**2*MTA**2 + MTA**4)*(-(lam2p3**2*Mev**2*cmath.cos(th)**2) + lam2p3**2*MPe1**2*cmath.cos(th)**2 - lam2p3**2*MTA**2*cmath.cos(th)**2 + 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MPe1**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) - lam1p3**2*Mev**2*cmath.sin(th)**2 + lam1p3**2*MPe1**2*cmath.sin(th)**2 - lam1p3**2*MTA**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.u,P.uv__tilde__):'((MPe1**2 - Muv**2)*(3*lam21**2*MPe1**2*cmath.cos(th)**2 - 3*lam21**2*Muv**2*cmath.cos(th)**2 - 6*lam11*lam21*MPe1**2*cmath.cos(th)*cmath.sin(th) + 6*lam11*lam21*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam11**2*MPe1**2*cmath.sin(th)**2 - 3*lam11**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.c,P.uv__tilde__):'((MPe1**2 - Muv**2)*(3*lam22**2*MPe1**2*cmath.cos(th)**2 - 3*lam22**2*Muv**2*cmath.cos(th)**2 - 6*lam12*lam22*MPe1**2*cmath.cos(th)*cmath.sin(th) + 6*lam12*lam22*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam12**2*MPe1**2*cmath.sin(th)**2 - 3*lam12**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.t,P.uv__tilde__):'(cmath.sqrt(MPe1**4 - 2*MPe1**2*MT**2 + MT**4 - 2*MPe1**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(3*lam23**2*MPe1**2*cmath.cos(th)**2 - 3*lam23**2*MT**2*cmath.cos(th)**2 - 3*lam23**2*Muv**2*cmath.cos(th)**2 - 6*lam13*lam23*MPe1**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam13**2*MPe1**2*cmath.sin(th)**2 - 3*lam13**2*MT**2*cmath.sin(th)**2 - 3*lam13**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.uv,P.u__tilde__):'((MPe1**2 - Muv**2)*(3*lam21**2*MPe1**2*cmath.cos(th)**2 - 3*lam21**2*Muv**2*cmath.cos(th)**2 - 6*lam11*lam21*MPe1**2*cmath.cos(th)*cmath.sin(th) + 6*lam11*lam21*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam11**2*MPe1**2*cmath.sin(th)**2 - 3*lam11**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.uv,P.c__tilde__):'((MPe1**2 - Muv**2)*(3*lam22**2*MPe1**2*cmath.cos(th)**2 - 3*lam22**2*Muv**2*cmath.cos(th)**2 - 6*lam12*lam22*MPe1**2*cmath.cos(th)*cmath.sin(th) + 6*lam12*lam22*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam12**2*MPe1**2*cmath.sin(th)**2 - 3*lam12**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)',
                                   (P.uv,P.t__tilde__):'(cmath.sqrt(MPe1**4 - 2*MPe1**2*MT**2 + MT**4 - 2*MPe1**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(3*lam23**2*MPe1**2*cmath.cos(th)**2 - 3*lam23**2*MT**2*cmath.cos(th)**2 - 3*lam23**2*Muv**2*cmath.cos(th)**2 - 6*lam13*lam23*MPe1**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam13**2*MPe1**2*cmath.sin(th)**2 - 3*lam13**2*MT**2*cmath.sin(th)**2 - 3*lam13**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe1)**3)'})

Decay_ta__minus__ = Decay(name = 'Decay_ta__minus__',
                          particle = P.ta__minus__,
                          partial_widths = {(P.p1,P.ev):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe1**2 + MPe1**4 - 2*Mev**2*MTA**2 - 2*MPe1**2*MTA**2 + MTA**4)*(lam2p3**2*Mev**2*cmath.cos(th)**2 - lam2p3**2*MPe1**2*cmath.cos(th)**2 + lam2p3**2*MTA**2*cmath.cos(th)**2 - 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MPe1**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) + lam1p3**2*Mev**2*cmath.sin(th)**2 - lam1p3**2*MPe1**2*cmath.sin(th)**2 + lam1p3**2*MTA**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(MTA)**3)',
                                            (P.p2,P.ev):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe2**2 + MPe2**4 - 2*Mev**2*MTA**2 - 2*MPe2**2*MTA**2 + MTA**4)*(lam1p3**2*Mev**2*cmath.cos(th)**2 - lam1p3**2*MPe2**2*cmath.cos(th)**2 + lam1p3**2*MTA**2*cmath.cos(th)**2 + 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MPe2**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) + lam2p3**2*Mev**2*cmath.sin(th)**2 - lam2p3**2*MPe2**2*cmath.sin(th)**2 + lam2p3**2*MTA**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(MTA)**3)',
                                            (P.W__minus__,P.vt):'((MTA**2 - MW**2)*((ee**2*MTA**2)/(2.*sw**2) + (ee**2*MTA**4)/(2.*MW**2*sw**2) - (ee**2*MW**2)/sw**2))/(32.*cmath.pi*abs(MTA)**3)'})

Decay_p2 = Decay(name = 'Decay_p2',
                 particle = P.p2,
                 partial_widths = {(P.ev,P.e__plus__):'((-Mev**2 + MPe2**2)*(-(lam1p1**2*Mev**2*cmath.cos(th)**2) + lam1p1**2*MPe2**2*cmath.cos(th)**2 - 2*lam1p1*lam2p1*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p1*lam2p1*MPe2**2*cmath.cos(th)*cmath.sin(th) - lam2p1**2*Mev**2*cmath.sin(th)**2 + lam2p1**2*MPe2**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.ev,P.mu__plus__):'((-Mev**2 + MPe2**2)*(-(lam1p2**2*Mev**2*cmath.cos(th)**2) + lam1p2**2*MPe2**2*cmath.cos(th)**2 - 2*lam1p2*lam2p2*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p2*lam2p2*MPe2**2*cmath.cos(th)*cmath.sin(th) - lam2p2**2*Mev**2*cmath.sin(th)**2 + lam2p2**2*MPe2**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.ev,P.ta__plus__):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe2**2 + MPe2**4 - 2*Mev**2*MTA**2 - 2*MPe2**2*MTA**2 + MTA**4)*(-(lam1p3**2*Mev**2*cmath.cos(th)**2) + lam1p3**2*MPe2**2*cmath.cos(th)**2 - lam1p3**2*MTA**2*cmath.cos(th)**2 - 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MPe2**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) - lam2p3**2*Mev**2*cmath.sin(th)**2 + lam2p3**2*MPe2**2*cmath.sin(th)**2 - lam2p3**2*MTA**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.e__minus__,P.ev__tilde__):'((-Mev**2 + MPe2**2)*(-(lam1p1**2*Mev**2*cmath.cos(th)**2) + lam1p1**2*MPe2**2*cmath.cos(th)**2 - 2*lam1p1*lam2p1*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p1*lam2p1*MPe2**2*cmath.cos(th)*cmath.sin(th) - lam2p1**2*Mev**2*cmath.sin(th)**2 + lam2p1**2*MPe2**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.mu__minus__,P.ev__tilde__):'((-Mev**2 + MPe2**2)*(-(lam1p2**2*Mev**2*cmath.cos(th)**2) + lam1p2**2*MPe2**2*cmath.cos(th)**2 - 2*lam1p2*lam2p2*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p2*lam2p2*MPe2**2*cmath.cos(th)*cmath.sin(th) - lam2p2**2*Mev**2*cmath.sin(th)**2 + lam2p2**2*MPe2**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.ta__minus__,P.ev__tilde__):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe2**2 + MPe2**4 - 2*Mev**2*MTA**2 - 2*MPe2**2*MTA**2 + MTA**4)*(-(lam1p3**2*Mev**2*cmath.cos(th)**2) + lam1p3**2*MPe2**2*cmath.cos(th)**2 - lam1p3**2*MTA**2*cmath.cos(th)**2 - 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MPe2**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) - lam2p3**2*Mev**2*cmath.sin(th)**2 + lam2p3**2*MPe2**2*cmath.sin(th)**2 - lam2p3**2*MTA**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.u,P.uv__tilde__):'((MPe2**2 - Muv**2)*(3*lam11**2*MPe2**2*cmath.cos(th)**2 - 3*lam11**2*Muv**2*cmath.cos(th)**2 + 6*lam11*lam21*MPe2**2*cmath.cos(th)*cmath.sin(th) - 6*lam11*lam21*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam21**2*MPe2**2*cmath.sin(th)**2 - 3*lam21**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.c,P.uv__tilde__):'((MPe2**2 - Muv**2)*(3*lam12**2*MPe2**2*cmath.cos(th)**2 - 3*lam12**2*Muv**2*cmath.cos(th)**2 + 6*lam12*lam22*MPe2**2*cmath.cos(th)*cmath.sin(th) - 6*lam12*lam22*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam22**2*MPe2**2*cmath.sin(th)**2 - 3*lam22**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.t,P.uv__tilde__):'(cmath.sqrt(MPe2**4 - 2*MPe2**2*MT**2 + MT**4 - 2*MPe2**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(3*lam13**2*MPe2**2*cmath.cos(th)**2 - 3*lam13**2*MT**2*cmath.cos(th)**2 - 3*lam13**2*Muv**2*cmath.cos(th)**2 + 6*lam13*lam23*MPe2**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam23**2*MPe2**2*cmath.sin(th)**2 - 3*lam23**2*MT**2*cmath.sin(th)**2 - 3*lam23**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.uv,P.u__tilde__):'((MPe2**2 - Muv**2)*(3*lam11**2*MPe2**2*cmath.cos(th)**2 - 3*lam11**2*Muv**2*cmath.cos(th)**2 + 6*lam11*lam21*MPe2**2*cmath.cos(th)*cmath.sin(th) - 6*lam11*lam21*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam21**2*MPe2**2*cmath.sin(th)**2 - 3*lam21**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.uv,P.c__tilde__):'((MPe2**2 - Muv**2)*(3*lam12**2*MPe2**2*cmath.cos(th)**2 - 3*lam12**2*Muv**2*cmath.cos(th)**2 + 6*lam12*lam22*MPe2**2*cmath.cos(th)*cmath.sin(th) - 6*lam12*lam22*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam22**2*MPe2**2*cmath.sin(th)**2 - 3*lam22**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)',
                                   (P.uv,P.t__tilde__):'(cmath.sqrt(MPe2**4 - 2*MPe2**2*MT**2 + MT**4 - 2*MPe2**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(3*lam13**2*MPe2**2*cmath.cos(th)**2 - 3*lam13**2*MT**2*cmath.cos(th)**2 - 3*lam13**2*Muv**2*cmath.cos(th)**2 + 6*lam13*lam23*MPe2**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) + 3*lam23**2*MPe2**2*cmath.sin(th)**2 - 3*lam23**2*MT**2*cmath.sin(th)**2 - 3*lam23**2*Muv**2*cmath.sin(th)**2))/(16.*cmath.pi*abs(MPe2)**3)'})

Decay_ev = Decay(name = 'Decay_ev',
                 particle = P.ev,
                 partial_widths = {(P.p1,P.e__minus__):'((Mev**2 - MPe1**2)*(lam2p1**2*Mev**2*cmath.cos(th)**2 - lam2p1**2*MPe1**2*cmath.cos(th)**2 - 2*lam1p1*lam2p1*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p1*lam2p1*MPe1**2*cmath.cos(th)*cmath.sin(th) + lam1p1**2*Mev**2*cmath.sin(th)**2 - lam1p1**2*MPe1**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(Mev)**3)',
                                   (P.p1,P.mu__minus__):'((Mev**2 - MPe1**2)*(lam2p2**2*Mev**2*cmath.cos(th)**2 - lam2p2**2*MPe1**2*cmath.cos(th)**2 - 2*lam1p2*lam2p2*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p2*lam2p2*MPe1**2*cmath.cos(th)*cmath.sin(th) + lam1p2**2*Mev**2*cmath.sin(th)**2 - lam1p2**2*MPe1**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(Mev)**3)',
                                   (P.p1,P.ta__minus__):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe1**2 + MPe1**4 - 2*Mev**2*MTA**2 - 2*MPe1**2*MTA**2 + MTA**4)*(lam2p3**2*Mev**2*cmath.cos(th)**2 - lam2p3**2*MPe1**2*cmath.cos(th)**2 + lam2p3**2*MTA**2*cmath.cos(th)**2 - 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MPe1**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) + lam1p3**2*Mev**2*cmath.sin(th)**2 - lam1p3**2*MPe1**2*cmath.sin(th)**2 + lam1p3**2*MTA**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(Mev)**3)',
                                   (P.p2,P.e__minus__):'((Mev**2 - MPe2**2)*(lam1p1**2*Mev**2*cmath.cos(th)**2 - lam1p1**2*MPe2**2*cmath.cos(th)**2 + 2*lam1p1*lam2p1*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p1*lam2p1*MPe2**2*cmath.cos(th)*cmath.sin(th) + lam2p1**2*Mev**2*cmath.sin(th)**2 - lam2p1**2*MPe2**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(Mev)**3)',
                                   (P.p2,P.mu__minus__):'((Mev**2 - MPe2**2)*(lam1p2**2*Mev**2*cmath.cos(th)**2 - lam1p2**2*MPe2**2*cmath.cos(th)**2 + 2*lam1p2*lam2p2*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p2*lam2p2*MPe2**2*cmath.cos(th)*cmath.sin(th) + lam2p2**2*Mev**2*cmath.sin(th)**2 - lam2p2**2*MPe2**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(Mev)**3)',
                                   (P.p2,P.ta__minus__):'(cmath.sqrt(Mev**4 - 2*Mev**2*MPe2**2 + MPe2**4 - 2*Mev**2*MTA**2 - 2*MPe2**2*MTA**2 + MTA**4)*(lam1p3**2*Mev**2*cmath.cos(th)**2 - lam1p3**2*MPe2**2*cmath.cos(th)**2 + lam1p3**2*MTA**2*cmath.cos(th)**2 + 2*lam1p3*lam2p3*Mev**2*cmath.cos(th)*cmath.sin(th) - 2*lam1p3*lam2p3*MPe2**2*cmath.cos(th)*cmath.sin(th) + 2*lam1p3*lam2p3*MTA**2*cmath.cos(th)*cmath.sin(th) + lam2p3**2*Mev**2*cmath.sin(th)**2 - lam2p3**2*MPe2**2*cmath.sin(th)**2 + lam2p3**2*MTA**2*cmath.sin(th)**2))/(32.*cmath.pi*abs(Mev)**3)'})

Decay_W__plus__ = Decay(name = 'Decay_W__plus__',
                        particle = P.W__plus__,
                        partial_widths = {(P.u,P.d__tilde__):'(ee**2*MW**4)/(16.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.c,P.s__tilde__):'(ee**2*MW**4)/(16.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.t,P.b__tilde__):'(((-3*ee**2*MB**2)/(2.*sw**2) - (3*ee**2*MT**2)/(2.*sw**2) - (3*ee**2*MB**4)/(2.*MW**2*sw**2) + (3*ee**2*MB**2*MT**2)/(MW**2*sw**2) - (3*ee**2*MT**4)/(2.*MW**2*sw**2) + (3*ee**2*MW**2)/sw**2)*cmath.sqrt(MB**4 - 2*MB**2*MT**2 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4))/(48.*cmath.pi*abs(MW)**3)',
                                          (P.ve,P.e__plus__):'(ee**2*MW**4)/(48.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.vm,P.mu__plus__):'(ee**2*MW**4)/(48.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.vt,P.ta__plus__):'((-MTA**2 + MW**2)*(-(ee**2*MTA**2)/(2.*sw**2) - (ee**2*MTA**4)/(2.*MW**2*sw**2) + (ee**2*MW**2)/sw**2))/(48.*cmath.pi*abs(MW)**3)'})

Decay_b = Decay(name = 'Decay_b',
                particle = P.b,
                partial_widths = {(P.W__minus__,P.t):'(((3*ee**2*MB**2)/(2.*sw**2) + (3*ee**2*MT**2)/(2.*sw**2) + (3*ee**2*MB**4)/(2.*MW**2*sw**2) - (3*ee**2*MB**2*MT**2)/(MW**2*sw**2) + (3*ee**2*MT**4)/(2.*MW**2*sw**2) - (3*ee**2*MW**2)/sw**2)*cmath.sqrt(MB**4 - 2*MB**2*MT**2 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4))/(96.*cmath.pi*abs(MB)**3)'})

Decay_uv = Decay(name = 'Decay_uv',
                 particle = P.uv,
                 partial_widths = {(P.p1,P.u):'((-MPe1**2 + Muv**2)*(-3*lam21**2*MPe1**2*cmath.cos(th)**2 + 3*lam21**2*Muv**2*cmath.cos(th)**2 + 6*lam11*lam21*MPe1**2*cmath.cos(th)*cmath.sin(th) - 6*lam11*lam21*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam11**2*MPe1**2*cmath.sin(th)**2 + 3*lam11**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(Muv)**3)',
                                   (P.p1,P.c):'((-MPe1**2 + Muv**2)*(-3*lam22**2*MPe1**2*cmath.cos(th)**2 + 3*lam22**2*Muv**2*cmath.cos(th)**2 + 6*lam12*lam22*MPe1**2*cmath.cos(th)*cmath.sin(th) - 6*lam12*lam22*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam12**2*MPe1**2*cmath.sin(th)**2 + 3*lam12**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(Muv)**3)',
                                   (P.p1,P.t):'(cmath.sqrt(MPe1**4 - 2*MPe1**2*MT**2 + MT**4 - 2*MPe1**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(-3*lam23**2*MPe1**2*cmath.cos(th)**2 + 3*lam23**2*MT**2*cmath.cos(th)**2 + 3*lam23**2*Muv**2*cmath.cos(th)**2 + 6*lam13*lam23*MPe1**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) - 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam13**2*MPe1**2*cmath.sin(th)**2 + 3*lam13**2*MT**2*cmath.sin(th)**2 + 3*lam13**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(Muv)**3)',
                                   (P.p2,P.u):'((-MPe2**2 + Muv**2)*(-3*lam11**2*MPe2**2*cmath.cos(th)**2 + 3*lam11**2*Muv**2*cmath.cos(th)**2 - 6*lam11*lam21*MPe2**2*cmath.cos(th)*cmath.sin(th) + 6*lam11*lam21*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam21**2*MPe2**2*cmath.sin(th)**2 + 3*lam21**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(Muv)**3)',
                                   (P.p2,P.c):'((-MPe2**2 + Muv**2)*(-3*lam12**2*MPe2**2*cmath.cos(th)**2 + 3*lam12**2*Muv**2*cmath.cos(th)**2 - 6*lam12*lam22*MPe2**2*cmath.cos(th)*cmath.sin(th) + 6*lam12*lam22*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam22**2*MPe2**2*cmath.sin(th)**2 + 3*lam22**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(Muv)**3)',
                                   (P.p2,P.t):'(cmath.sqrt(MPe2**4 - 2*MPe2**2*MT**2 + MT**4 - 2*MPe2**2*Muv**2 - 2*MT**2*Muv**2 + Muv**4)*(-3*lam13**2*MPe2**2*cmath.cos(th)**2 + 3*lam13**2*MT**2*cmath.cos(th)**2 + 3*lam13**2*Muv**2*cmath.cos(th)**2 - 6*lam13*lam23*MPe2**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*MT**2*cmath.cos(th)*cmath.sin(th) + 6*lam13*lam23*Muv**2*cmath.cos(th)*cmath.sin(th) - 3*lam23**2*MPe2**2*cmath.sin(th)**2 + 3*lam23**2*MT**2*cmath.sin(th)**2 + 3*lam23**2*Muv**2*cmath.sin(th)**2))/(96.*cmath.pi*abs(Muv)**3)'})

